<include file="public@header" />
</head>
<body>
	<div class="wrap">
		<ul class="nav nav-tabs">
			<li class="active"><a >{:lang('OFFLINE_PRIZE_LIST')}</a></li>
		</ul>
		<form class="well form-inline margin-top-20" method="post" action="{:url('turntable/index3')}">
            {:lang('STATUS')}: 
			<select class="form-control" name="status">
				<option value="">{:lang('ALL')}</option>
                <option value="0" <if condition="input('request.status') neq '' && input('request.status') eq 0">selected</if> >{:lang('UNPROCESSED')}</option>
                <option value="1" <if condition="input('request.status') neq '' && input('request.status') eq 1">selected</if> >{:lang('PROCESSED')}</option>
			</select>
			{:lang('MEMBER')}:  
            <input class="form-control" type="text" name="uid" style="width: 200px;" value="{:input('request.uid')}"
                   placeholder="{:lang('PLEASE_ENTER_THE_MEMBER_ID_OR_NICKNAME')}">
			<input type="submit" class="btn btn-primary" value="{:lang('SEARCH')}">
		</form>		
        <table class="table table-hover table-bordered">
            <thead>
                <tr>
                    <th>ID</th>
                    <th>{:lang('MEMBER')} (ID)</th>
                    <th>{:lang('TYPE')}</th>
                    <th>{:lang('PRIZE')}</th>
                    <th>{:lang('QUANTITY')}</th>
                    <th>{:lang('WINNING_TIME')}</th>
                    <th>{:lang('PROCESSING_TIME')}</th>
                    <th>{:lang('ACTIONS')}</th>
                </tr>
            </thead>
            <tbody>
                <foreach name="lists" item="vo">
                <tr>
                    <td>{$vo['id']}</td>
                    <td>{$vo['userinfo']['user_nickname']} ({$vo['uid']})</td>
                    <td>{$type[$vo['type']]}</td>
                    <td>{$vo['type_val']}</td>
                    <td>{$vo['nums']}</td>
                    <td>{:date('Y-m-d H:i:s',$vo['addtime'])}</td>
                    <td>
                        <if condition="$vo['status'] eq 0">
                            {:lang('UNPROCESSED')}
                        <else/>
                            {:date('Y-m-d H:i:s',$vo['uptime'])}
                        </if>
                    </td>
                    <td>
                        <if condition="$vo['status'] eq 0">
                        <a class="btn btn-xs btn-info js-ajax-dialog-btn" href="{:url('turntable/setstatus',array('id'=>$vo['id'],'status'=>'1'))}" >{:lang('MARK_AS_PROCESSED')}</a>
                        <else/>
                        {:lang('PROCESSED')}
                        </if>
                    </td>
                </tr>
                </foreach>
            </tbody>
        </table>
        <div class="pagination">{$page}</div>

	</div>
    <script src="__STATIC__/js/admin.js"></script>
</body>
</html>